use Bio;
use strict;

# First we read the DNA sequence from a file.
my $dna = read_fasta('yeast.fasta');
print "DNA: $dna\n";

# Then we print it as RNA.
my $rna = dna_to_rna($dna);
print "RNA: $rna\n";

# Then we translate it into possible protein sequences
# at each of the three reading frames.
for my $i (1 .. 3) {
	print "RF$i:", " " x $i, rna_to_protein($rna), "\n";
	$rna =~ s/.//; # Chop the first character off.
}
