# fetch.pl -- Fetch Sequence via Swissprot (Bio::Perl)
#
# This is a simple program for fetching sequences from
# Swissprot.  Just specify the NAME of the sequence on
# the command-line and it'll fetch the sequence and
# write it to NAME.fasta, unless a file with that name
# already exists or if the sequence can't be found.

use strict;
use Bio::Perl;

for my $id (@ARGV) {
	my $file = "$id.fasta";
	if( -f $file ) {
		warn "Won't overwrite $file";
		next;
	}
	my $seq = get_sequence('swissprot', $id);
	next if not defined $seq;
	write_sequence(">$file", 'fasta', $seq);
}
